Purpose

A dedicated ward mod aimed at improving the way wards work in Valheim.

Known Mod Conflicts

* Anything that toggles PvE/PvP and forces the value will conflict if you have this mod toggle the values. Current known
  mods that do this are:

World of Valheim - Zones

PvP-Always-On

Marketplace

Features

* The hotkey can be adjusted by the configuration file.
* Changelog on main menu shows updates for your version
* Allow permitted users on the ward to toggle the ward on and off
* PvP/PvE forced configurations
* Ward Range configuration (Enemy spawns will query the range to prevent spawning inside base)
* Health/Stamina Boosts for all players inside ward
* Show area marker for the ward (configurable)
* Indestructible structures can be defined for further custom config (inside ward) (FULL LIST)
* Auto Close Doors inside ward (configurable)
* Enforced Config with server (besides client custom configs)
* Reduce damage to player structures inside ward from other players, or increase default health of structure (applies to
  all inside ward)
* Notification of being inside a ward and who the owner is (configurable)
* Sync Admin list from server for additional configurations (auto permit on nearby wards,
  permit/unpermit/enable/disable/destroy/flash with command)
* Damage boosts to Players against NPCs while inside ward (configurable)
* Server version checking, must have mod & must be same version as server
* Warded portal interact/teleport configurable
* Ward pushout
* Unlimited fireplace fuel in warded area configurable
* Configurable interaction in warded area
* No Weather Damage
* Visual Bubble
* Offline Raid protection
* Configurable ward recipe for Better Wards
* Auto repair structures inside ward
* No food drain inside ward
* Call to Arms PvP (BETA Phase!)

Client Custom Config Options

* Hotkey option for ward toggle (Default is "G").
* Auto Close Doors (enable/disable)
* Notification of being inside a ward and who the owner is (enable/disable)
* Show area marker for the ward (enable/disable)

Admin Only

* Hotkeys are UpArrow for enabling a ward, DownArrow for disabling a ward (must be looking at it)
* Auto permit on enabled wards nearby (client configurable)
* Admin only chat/console(F5) commands (permit, unpermit, enable, flash, disable)

Installation Instructions
NOTE: The archive comes with the default config file and DLL inside the correct folder structure.

Windows (Steam)

1. Locate your game folder manually or start Steam client and :
   a. Right click the Valheim game in your steam library
   b. "Go to Manage" -> "Browse local files"
   c. Steam should open your game folder
2. Extract the contents of the archive into the game folder.
3. Locate Azumatt.BetterWards.cfg under BepInEx\config and configure the mod to your needs

Server
﻿Must be installed on both the client and the server for syncing to work properly.

1. Locate your main folder manually and :
   a. Extract the contents of the archive into the main folder that contains BepInEx
   b. Launch your game at least once to generate the config file needed if you haven't already done so.
   c. Locate Azumatt.BetterWards.cfg under BepInEx\config on your machine and configure the mod to your needs
2. Reboot your server. All clients will now sync to the server's config file even if theirs differs. Config Manager mod
   changes will only change the client config, not what the server is enforcing.

Feel free to reach out to me on discord if you need manual download assistance.

What if the game updates?

Game updates are unlikely to do more than partially break Better Wards at worst. In case you encounter any issues,
please reach out to the me.

Where is the configuration file?

The Config file's name is "Azumatt.BetterWards.cfg" it needs to be placed in "BepInEx\config"

Open to suggestions (drop them in the suggestion box)!

# Author Information

### Azumatt

`DISCORD:` Azumatt#2625

`STEAM:` https://steamcommunity.com/id/azumatt/﻿

For Questions or Comments, find me in the Odin Plus Team Discord or in mine:

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/Pb6bVMnFb2)
<a href="https://discord.gg/pdHgy6Bsng"><img src="https://i.imgur.com/Xlcbmm9.png" href="https://discord.gg/pdHgy6Bsng" width="175" height="175"></a>